org.apache.felix.http.jetty.internal.webapp

## Class WebAppBundleTracker

- java.lang.Object
- - org.eclipse.jetty.util.component.AbstractLifeCycle.AbstractLifeCycleListener
  - - org.apache.felix.http.jetty.internal.webapp.WebAppBundleTracker

All Implemented Interfaces:
  EventListener, org.eclipse.jetty.util.component.LifeCycle.Listener

    public final class WebAppBundleTracker
    extends org.eclipse.jetty.util.component.AbstractLifeCycle.AbstractLifeCycleListener

### Nested Class Summary

Nested Classes
`static class` `WebAppBundleTracker.Deployment` A deployment represents a web application bundle that may or may not be deployed.

### Constructor Summary

Constructors
Constructor and Description
`WebAppBundleTracker(org.osgi.framework.BundleContext bundleContext, org.apache.felix.http.jetty.internal.JettyConfig config)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `deploy(WebAppBundleTracker.Deployment deployment, WebAppBundleContext context)`
`void` `lifeCycleStarted(org.eclipse.jetty.util.component.LifeCycle event)`
`void` `lifeCycleStopping(org.eclipse.jetty.util.component.LifeCycle event)`
`void` `start(org.eclipse.jetty.server.handler.ContextHandlerCollection parent)`
`void` `stop()`
`void` `undeploy(WebAppBundleTracker.Deployment deployment, WebAppBundleContext context)`

### Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle.AbstractLifeCycleListener

`lifeCycleFailure, lifeCycleStarting, lifeCycleStopped`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WebAppBundleTracker

    public WebAppBundleTracker(org.osgi.framework.BundleContext bundleContext,
                               org.apache.felix.http.jetty.internal.JettyConfig config)

### Method Detail

#### start

    public void start(org.eclipse.jetty.server.handler.ContextHandlerCollection parent)
               throws Exception

Throws:
  `Exception`

#### stop

    public void stop()
              throws Exception

Throws:
  `Exception`

#### deploy

    public void deploy(WebAppBundleTracker.Deployment deployment,
                       WebAppBundleContext context)

#### undeploy

    public void undeploy(WebAppBundleTracker.Deployment deployment,
                         WebAppBundleContext context)

#### lifeCycleStarted

    public void lifeCycleStarted(org.eclipse.jetty.util.component.LifeCycle event)

Specified by:
  `lifeCycleStarted` in interface `org.eclipse.jetty.util.component.LifeCycle.Listener`
Overrides:
  `lifeCycleStarted` in class `org.eclipse.jetty.util.component.AbstractLifeCycle.AbstractLifeCycleListener`

#### lifeCycleStopping

    public void lifeCycleStopping(org.eclipse.jetty.util.component.LifeCycle event)

Specified by:
  `lifeCycleStopping` in interface `org.eclipse.jetty.util.component.LifeCycle.Listener`
Overrides:
  `lifeCycleStopping` in class `org.eclipse.jetty.util.component.AbstractLifeCycle.AbstractLifeCycleListener`